#
# spec file for package gap-automata
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-automata
Version:        1.16
Release:        1.1
Summary:        GAP: A package on automata
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/automata/
#Git-Clone:     https://github.com/gap-packages/automata
Source:         https://github.com/gap-packages/automata/releases/download/v%version/automata-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildArch:      noarch
Requires:       gap-core >= 4.8
Requires:       graphviz
Suggests:       gap-gapdoc >= 1.2

%description
The features of this package include

* Computing a rational expression for the language recognized by a
  finite automaton;
* Compute an automaton for the language given by a rational
  expression;
* Minimalize a finite automaton;
* Has some features (using the external program GraphViz) to
  visualize automata;

%prep
%autosetup -n automata-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Tue Dec 31 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.16
  * Streamlined UnionAutomata and IntersectionAutomaton
* Mon Apr 25 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.15
  * Metadata update only
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.14
  * Drawings are now produced in two steps: first the dot code
    (that is accessible to the user) and then the display
* Fri May 10 2013 jengelh@inai.de
- Split automata (version 1.13) off the gap RPM package
